Bug 830210 - scrolling does not work
scrolling does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
18
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Reopened
: 891118 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 10:42 EDT by Samuel Irlapati
Modified: 2014-02-05 17:46 EST (History)
3 users (show)

See Also:
Fixed In Version: remmina-1.0.0-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:46:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Irlapati 2012-06-08 10:42:56 EDT
Description of problem:


Version-Release number of selected component (if applicable):
remmina-plugins-vnc-1.0.0-3.fc17.x86_64


How reproducible:
start a vnc session connected to a remote computer.


Steps to Reproduce:
1. start a vnc session which is connected to a remote computer.
2. Try scrolling with the scroll wheel of the mouse.
3. Try moving the mouse to the edgeof the screen
  
Actual results:
No matter what app i am running in the remote session, no scrolling takes place when moving the scroll wheel of the mouse.
When i move the mouse to the edge of the screen, the screen does not scroll either. This is in full screen mode.


Expected results:


Additional info:
Comment 1 Christoph Wickert 2012-06-10 15:10:46 EDT
What kind of OS and VNC server does the remote machine run?

Can you please try the 1.0.0-4 update?
Comment 2 Samuel Irlapati 2012-06-10 15:17:28 EDT
I just tried remmina-1.0.0.4 and scolling still does not work. The remote machine runs fedora 16.
Comment 3 Wim ten Have 2012-07-10 05:11:03 EDT
I see exactly same reported bug.  Recently switching from F16 to F17 bringing version remmina-1.0.0-4.fc17.x86_64 i can within my remmina served remote desktops no longer use the scroll wheel :-(  These improvements are terrible :-(.

You may like to look at this Ubuntu bug 952964 for cross reference.  Sounds like there is a build option not correctly applied.

https://bugs.launchpad.net/ubuntu/+source/remmina/+bug/952964
Comment 4 Wim ten Have 2012-07-27 15:46:14 EDT
I didn't see any further response but then realized that not all questions were answered;

<wtenhave@kruimel-fc:53> rpm -qa | grep remmina | grep -v devel
remmina-1.0.0-4.fc17.x86_64
remmina-plugins-telepathy-1.0.0-4.fc17.x86_64
remmina-plugins-nx-1.0.0-4.fc17.x86_64
remmina-plugins-common-1.0.0-4.fc17.x86_64
remmina-plugins-rdp-1.0.0-4.fc17.x86_64
remmina-plugins-xdmcp-1.0.0-4.fc17.x86_64
remmina-plugins-vnc-1.0.0-4.fc17.x86_64
remmina-plugins-gnome-1.0.0-4.fc17.x86_64

<wtenhave@kruimel-fc:54> rpm -q kernel
kernel-3.4.6-2.fc17.x86_64

<wtenhave@kruimel-fc:55> uname -a
Linux kruimel-fc 3.4.6-2.fc17.x86_64 #1 SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

<wtenhave@kruimel-fc:56> cat /etc/redhat-release 
Fedora release 17 (Beefy Miracle)

Please let me know if you need to know more.  Please also look at my comment #3
Comment 5 Samuel Irlapati 2013-04-26 09:45:53 EDT
Sorry for being a pain, but there has been a fix out there for this bug for more than 6 months. Is it possible to speed up the process of incorporating the fix into fedora packages?
Comment 6 Christoph Wickert 2013-05-06 19:36:52 EDT
*** Bug 891118 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2013-05-06 20:58:43 EDT
remmina-1.0.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/remmina-1.0.0-7.fc19
Comment 8 Fedora Update System 2013-05-06 20:59:23 EDT
remmina-1.0.0-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/remmina-1.0.0-7.fc18
Comment 9 Fedora Update System 2013-05-06 21:00:12 EDT
remmina-1.0.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/remmina-1.0.0-7.fc17
Comment 10 Fedora Update System 2013-05-07 16:44:25 EDT
Package remmina-1.0.0-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing remmina-1.0.0-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7586/remmina-1.0.0-7.fc19
then log in and leave karma (feedback).
Comment 11 Samuel Irlapati 2013-05-09 19:35:33 EDT
I have tried it and when in viewport fullscreen mode, it still does not work. In fact the remote window seems shifted to bottom and right such that i can see the local computers desktop.
Comment 12 Christoph Wickert 2013-05-10 15:59:27 EDT
What is "viewport fullscreen mode"?
Comment 13 Samuel Irlapati 2013-05-13 10:22:03 EDT
Sorry for the late reply.

I use remmina to view a remote computer using the vnc protocol. So when viewing the remote computer, if you are in full screen mode (which can be selected from the toolbar). In the toolbar there are options for how the fullscreen mode should work. The options are "scrolled fullscreen mode" and "viewport fullscren mode". I prefer using the "viewport fullscreen mode". I hope you are able to find the option that switches to "viewport fullscreen mode".
Comment 14 Christoph Wickert 2013-05-16 07:39:34 EDT
And you mean you can scroll within the viewport or change the area of it?
Comment 15 Fedora Update System 2013-05-18 22:41:04 EDT
remmina-1.0.0-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-05-18 22:42:17 EDT
remmina-1.0.0-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Christoph Wickert 2013-05-19 12:04:45 EDT
Pleae get back to me and reopen the bug if necessary.
Comment 18 Samuel Irlapati 2013-05-20 19:36:36 EDT
I mean i cannot scroll. In the "viewport fullscreen mode" here are problems,

1. It is not a fullscreen. The remote machine shows up on 3/4 screen, the other 1/4th of the screen is the local computer.

2. When i move the mouse to the edge of the screen, it should scroll. Right now it does not scroll.

The bug still exists.
Comment 19 Fedora Update System 2013-05-24 16:45:37 EDT
remmina-1.0.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Samuel Irlapati 2013-06-06 09:57:09 EDT
It still does not work. I still have the same problem as in comment #18. Can you please reopen and see if you can fix it.
Comment 21 Christoph Wickert 2013-06-07 09:44:16 EDT
Not really. Can you please file a bug in upstreams bug tracker and post a reference to it here?
Comment 22 Fedora End Of Life 2013-12-21 10:03:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2014-02-05 17:46:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.